<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Leads</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Data Leads</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <div class="col-md-12 col-xs-12">
                                                <div class="col-md-12 pull-left">
                                                    <form th:action="@{/leads/xlsx}" method="get">
                                                        <input type="submit" class="btn btn-sm btn-primary" value="Download Leads XLSX">
                                                    </form>
                                                </div>
                                            </div>
                                            <div class="col-md-12 col-xs-12 pull-left">
                                                <form method="get">
                                                    <div class="form-group right col-md-3">
                                                        <label>Tanggal Awal</label>
                                                        <input type="date" name="tglAwal" id="tglAwal"
                                                               class="form-control" th:value="${tglAwal}">
                                                        </div>
                                                    <div class="form-group right col-md-3">
                                                        <label>Tanggal Akhir</label>
                                                        <input type="date" name="tglAkhir" id="tglAkhir"
                                                               class="form-control" th:value="${tglAkhir}">
                                                        </div>
                                                    <div class="form-group right col-md-4">
                                                        <label>Nama</label>
                                                        <input type="text" name="nama"
                                                               class="form-control" th:value="${nama}"
                                                               placeholder="Cari Nama...">
                                                    </div>
                                                    <div class="form-group right col-md-2">
                                                        <label>&nbsp;</label>
                                                        <button class="btn btn-sm btn-primary" style="margin-top: 16%;" type="submit"><i class="fa fa-search"></i>&nbsp; Cari</button>
                                                    </div>
                                                </form>
                                            </div>
                                            <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span><br>
                                            <hr>
                                            <div class="row">
                                                <div class="col-md-12 col-sm-12 col-xs-12">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered table-striped table-hover">
                                                            <thead>
                                                            <tr>
                                                                <th>No</th>
                                                                <th>Nama</th>
                                                                <th>No Hp</th>
                                                                <th>Email</th>
                                                                <th>Jenjang Pendidikan</th>
                                                                <th>Username</th>
                                                                <th>Reset</th>
                                                                <th>Tanggal Buat</th>
                                                                <th></th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr th:each="p,row : ${daftarLeads}">
                                                                <td th:text="${(row.index + 1) + (daftarLeads.number * daftarLeads.size)}">#</td>
                                                                <td>
                                                                    <a th:href="@{/leads/update(id= ${p.id})}"
                                                                       class="btn btn-success btn-xsbtn-xs fa fa-pencil"
                                                                       th:text="${'&nbsp'+p. nama}">
                                                                    </a>
                                                                </td>
                                                                <td th:text="${p. noHp}">10-08-2017</td>
                                                                <td th:text="${p. email}">10-08-2017</td>
                                                                <td th:text="${p. jenjang +' - '+ p.kelas}">10-08-2017</td>
                                                                <td th:text="${p. user.username}"></td>
                                                                <td>
                                                                    <form method="post" th:action="@{/leads/reset(id=${p.user.id})}">
                                                                        <button type="submit" class="btn btn-green btn-xs"
                                                                                onclick="return confirm('Reset password?')">
                                                                            Reset
                                                                        </button>
                                                                    </form>
                                                                </td>
                                                                <td th:text="${p. createDate}">10-08-2017</td>
                                                                <td width="100px" th:each="cekPendaftar : ${cekPendaftar}" th:if="${cekPendaftar.pendaftar} == ${p.id}">
                                                                    <form   th:if="${cekPendaftar.status == 'Kosong'} and ${cekPendaftar.pendaftar} == ${p.id}"
                                                                            method="post" th:action="@{/leads/hapus(id=${p.user.id})}">
                                                                        <button type="submit" class="btn btn-danger btn-xs"
                                                                                onclick="return confirm('Are you sure? Once deleted, you will not be able' +
                                                                                ' to recover this imaginary file!')">
                                                                            Hapus
                                                                        </button>
                                                                    </form>
                                                                    <span th:if="${cekPendaftar.status == 'Ada'} and ${cekPendaftar.pendaftar} == ${p.id}"
                                                                      style="color: #0b97c4">Sudah Daftar</span>
                                                                </td>

                                                            </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-right">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>